# Uses of Interface
org.apache.sling.distribution.journal.queue.OffsetQueue

Packages that use OffsetQueue
Package
Description
org.apache.sling.distribution.journal.queue

## Uses of OffsetQueue in org.apache.sling.distribution.journal.queue

Methods in org.apache.sling.distribution.journal.queue that return OffsetQueue
Modifier and Type
Method
Description
`OffsetQueue<T>`
OffsetQueue.`getMinOffsetQueue(long minOffset)`
Return an `OffsetQueue` offset queue which contains all the items from the current queue at an offset greater or equal to #minOffset.
`OffsetQueue<org.apache.sling.distribution.queue.DistributionQueueItem>`
PubQueueProvider.`getOffsetQueue(String pubAgentName, long minOffset)`
Methods in org.apache.sling.distribution.journal.queue with parameters of type OffsetQueue
Modifier and Type
Method
Description
`void`
OffsetQueue.`putItems(OffsetQueue<T> offsetQueue)`
Put all the items from the #offsetQueue in this queue.